package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysBranch;
import com.dcsoft.system.domain.vo.JjDivisionVo;
import com.dcsoft.system.domain.vo.JjStationVo;
import com.dcsoft.system.domain.vo.JjserInfoVo;

/**
 * 部门管理Mapper接口
 *
 * @author dcsoft
 * @date 2023-03-07
 */
public interface SysBranchMapper
{
    /**
     * 查询部门管理
     *
     * @param id 部门管理主键
     * @return 部门管理
     */
    public SysBranch selectSysBranchById(String id);

    /**
     * 查询部门管理列表
     *
     * @param sysBranch 部门管理
     * @return 部门管理集合
     */
    public List<SysBranch> selectSysBranchList(SysBranch sysBranch);

    /**
     * 新增部门管理
     *
     * @param sysBranch 部门管理
     * @return 结果
     */
    public int insertSysBranch(SysBranch sysBranch);

    /**
     * 修改部门管理
     *
     * @param sysBranch 部门管理
     * @return 结果
     */
    public int updateSysBranch(SysBranch sysBranch);

    /**
     * 删除部门管理
     *
     * @param id 部门管理主键
     * @return 结果
     */
    public int deleteSysBranchById(String id);

    /**
     * 批量删除部门管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysBranchByIds(String[] ids);

    public int deleteSysBranchByBranchId(String id);

    public SysBranch selectSysBranchByDeptId(Long deptId);

    List<SysBranch> queryBranchTree();

    void saveBranchTree(List<JjDivisionVo> list);

    /**
     * 同步人员（锦江）
     */
    void saveUserInfo(List<JjserInfoVo> data);

    /**
     * 同步岗位（锦江）
     */
    void saveStation(List<JjStationVo> data);

    List<JjDivisionVo> selectBranchTree();

    /**
     *
     */
    void updateBranchTree(List<JjDivisionVo> list);
}
